
import { Mixin, mix } from "../mixwith.js";

export let CSSConstructionMixin = Mixin( (superclass) => class extends superclass {

  /*****************
  *  Constructors  *
  *****************/

  constructor( parent_css_constructor, ...args ) {
    super( ...args );
    this._parentCSSConstructor = parent_css_constructor;
  }

  /***************
  *  Properties  *
  ***************/

  get css() {
    throw "Subclass should implement using this._css.";
  }

  set parentCSSConstructor( parent_css_constructor ) {
    return this._parentCSSConstructor = parent_css_constructor;
  }

  get parentCSSConstructor() {
    return this._parentCSSConstructor;
  }

  /**********
  *  State  *
  **********/

  clearCSS() {
    delete this._css;
    if ( this.parentCSSConstructor ) {
      this.parentCSSConstructor.clearCSS();
    }
  }

});

export default CSSConstructionMixin;
