import {CSSProperty} from "./css_property.js"

/*
    A single CSS Property for box values ex. (Tpx, Rpx, Bpx, Lpx).

    One or more properties make a { CSSExpression }.
*/
export class CSSBoxProperty extends CSSProperty {

  /*****************
  *  Constructors  *
  *****************/

  constructor( parent_css_constructor, property_name, top_value, right_value, bottom_value, left_value ) {
    super( parent_css_constructor, property_name );
    this._topValue = top_value;
    this._rightValue = right_value;
    this._bottomValue = bottom_value;
    this._leftValue = left_value;
  }

  /***************
  *  Properties  *
  ***************/

  get topValue() {
    return this._topValue;
  }

  get rightValue () {
    return this._rightValue ;
  }

  get bottomValue() {
    return this._bottomValue;
  }

  get leftValue() {
    return this._leftValue;
  }

  get propertyValue() {
    return this.topValue + ', ' +
           this.rightValue + ', ' +
           this.bottomValue + ', ' +
           this.leftValue;
  }

}

export default CSSBoxProperty;
