import { Mixin, mix } from "../../../mixwith.js";
import { CSSConstructionMixin } from "../../css_construction_mixin.js";

/*
    A single CSS Property.

    One or more properties make a { CSSExpression }.
*/
export class CSSProperty extends mix(Object).with(CSSConstructionMixin)  {

  /*****************
  *  Constructors  *
  *****************/

  constructor( parent_css_constructor, property_name, property_value ) {
    super(parent_css_constructor);
    this._propertyName  = property_name;
    if ( property_value ) {
      this._propertyValue = property_value;
    }
  }

  /***************
  *  Properties  *
  ***************/

  set propertyName( property_name ) {
    this._propertyName = property_name;
  }

  get propertyName() {
    return this._propertyName;
  }

  set propertyValue( property_value ) {
    this._propertyValue = property_value;
  }

  get propertyValue() {
    return this._propertyValue;
  }

  get css() {
    if ( ! this._css ) {
      this._css = this.propertyName + ': ' + this.propertyValue + ';';
    }
    return this._css;
  }

}

export default CSSProperty;
