
import { Mixin, mix } from "../mixwith.js";
import { CSSConstructionMixin } from "./css_construction_mixin.js";

import { CSSSelector } from "./css_selector/css_selector.js";
import { CSSExpression } from "./css_expression/css_expression.js";

/*
    A single CSS Rule: selector { expression }
*/
export class CSSRule extends mix(Object).with(CSSConstructionMixin) {

  /*****************
  *  Constructors  *
  *****************/

  constructor( parent_construction_controller, css_selector, css_expression ) {
    super( parent_construction_controller );
    this._selector = css_selector ? css_selector : new CSSSelector( this );
    this._expression = css_expression ? css_expression : new CSSExpression( this );
  }

  /***************
  *  Properties  *
  ***************/

  set selector( selector ) {
    this._selector = selector;
  }

  get selector() {
    return this._selector;
  }

  set expression( expression ) {
    this._expression = expression;
  }

  get expression() {
    return this._expression;
  }

  get css() {
    if ( ! this._css ) {
      this._css = this.selector.css.length ?
                  this.selector.css + ' ' + this.expression.css :
                  '';
    }
    return this._css;
  }

}

export default CSSRule;
