import { Mixin, mix } from "../../../mixwith.js";
import {CSSJoinMixin} from "./css_join_mixin.js";

/*
    element1~element2	p ~ ul	Selects every <ul> element that are preceded by a <p> element
*/
export class CSSJoinFollowingElement extends mix(Object).with(CSSJoinMixin) {

  /*********
  *  Join  *
  *********/

  joinPre( selector ) {
    selector += this.css + ' ~ ';
    return selector;
  }

  joinPost( selector ) {
    if ( selector.length ) {
      selector += ' ~ ' + this.css;
    }
    return selector;
  }

}

export default CSSJoinFollowingElement;
