
import { Mixin, mix } from "../../../mixwith.js";

export let CSSJoinMixin = Mixin((superclass) => class extends superclass {

  /*****************
  *  Constructors  *
  *****************/

  constructor( css_selector ) {
    super();
    this._selector = css_selector;
  }

  /***************
  *  Properties  *
  ***************/

  get css() {
    return this.selector.css;
  }

  set selector( css_selector ) {
    return this._selector = css_selector;
  }

  get selector() {
    return this._selector;
  }

  joinPre( css ) {
    throw "Subclass must define.";
  }

  joinPost( css ) {
    throw "Subclass must define.";
  }

});
