import { CSSSelector } from '../css_selector.js';

fixture `CSSSelector`;

test( 'selectorAll', async test => {
  let css_selector = new CSSSelector();

  css_selector.tagSelector.tag = 'some-tag';
  css_selector.tagSelector.addClass( 'class-a', 'class-b' );
  css_selector.tagSelector.id = 'some-id';

  let some_attribute_selector = css_selector.addAttributeSelector('some-attribute');
  some_attribute_selector.beginsWithValue = 'some';
  some_attribute_selector.addContainsValues('-');
  some_attribute_selector.endsWithValue = 'value';

  let another_attribute_selector = css_selector.addAttributeSelector('another-attribute');
  another_attribute_selector.beginsWithValue = 'another';

  css_selector.relationSelector.onlyChild = true;

  css_selector.typeSelector.onlyOfType = true;

  css_selector.stateSelector.target = true;

  css_selector.inputSelector.default = true;
  css_selector.inputSelector.checked = true;
  css_selector.inputSelector.enabled = true;
  css_selector.inputSelector.disabled = true;
  css_selector.inputSelector.focus = true;
  css_selector.inputSelector.inRange = true;
  css_selector.inputSelector.outOfRange = true;
  css_selector.inputSelector.indeterminate = true;
  css_selector.inputSelector.invalid = true;
  css_selector.inputSelector.valid = true;
  css_selector.inputSelector.readWrite = true;
  css_selector.inputSelector.optional = true;
  css_selector.inputSelector.placeholder = true;

  css_selector.contentSelector.firstLetter = true;

  await test.expect(css_selector.css).eql(
    'some-tag.class-a.class-b#some-id[some-attribute^="some"][some-attribute*="-"][some-attribute$="value"][another-attribute^="another"]:only-child:only-of-type:target:default:checked:disabled:focus:out-of-range:valid:read-write:optional::placeholder::first-letter'
  );
});
