import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - Input`;

test( 'inputSelectorAllV1', async test => {
  let css_selector = new CSSSelector();

  css_selector.inputSelector.default = true;
  css_selector.inputSelector.checked = true;
  css_selector.inputSelector.enabled = true;
  css_selector.inputSelector.focus = true;
  css_selector.inputSelector.inRange = true;
  css_selector.inputSelector.valid = true;
  css_selector.inputSelector.readOnly = true;
  css_selector.inputSelector.required = true;
  css_selector.inputSelector.placeholder = true;

  await test.expect(css_selector.css).eql(
    ':default:checked:enabled:focus:in-range:valid:read-only:required::placeholder'
  );
});

test( 'inputSelectorAllV2', async test => {
  let css_selector = new CSSSelector();

  css_selector.inputSelector.default = true;
  css_selector.inputSelector.checked = true;
  css_selector.inputSelector.disabled = true;
  css_selector.inputSelector.focus = true;
  css_selector.inputSelector.inRange = true;
  css_selector.inputSelector.outOfRange = true;
  css_selector.inputSelector.indeterminate = true;
  css_selector.inputSelector.invalid = true;
  css_selector.inputSelector.readWrite = true;
  css_selector.inputSelector.optional = true;
  css_selector.inputSelector.placeholder = true;

  await test.expect(css_selector.css).eql(
    ':default:checked:disabled:focus:out-of-range:indeterminate:invalid:read-write:optional::placeholder'
  );
});

test( 'inputSelectorAllV3', async test => {
  let css_selector = new CSSSelector();

  css_selector.inputSelector.default = true;
  css_selector.inputSelector.checked = true;
  css_selector.inputSelector.enabled = true;
  css_selector.inputSelector.disabled = true;
  css_selector.inputSelector.focus = true;
  css_selector.inputSelector.inRange = true;
  css_selector.inputSelector.outOfRange = true;
  css_selector.inputSelector.indeterminate = true;
  css_selector.inputSelector.invalid = true;
  css_selector.inputSelector.valid = true;
  css_selector.inputSelector.readWrite = true;
  css_selector.inputSelector.optional = true;
  css_selector.inputSelector.placeholder = true;

  await test.expect(css_selector.css).eql(
    ':default:checked:disabled:focus:out-of-range:valid:read-write:optional::placeholder'
  );
});
