import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - Relation`;

test( 'relationSelectorRoot', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.root = true;

  await test.expect(css_selector.css).eql(
    ':root'
  );
});

test( 'relationSelectorEmpty', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.empty = true;

  await test.expect(css_selector.css).eql(
    ':empty'
  );
});

test( 'relationSelectorOnlyChild', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.onlyChild = true;

  await test.expect(css_selector.css).eql(
    ':only-child'
  );
});

test( 'relationSelectorOnlyChildFromFirstLast', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.firstChild = true;
  css_selector.relationSelector.lastChild = true;

  await test.expect(css_selector.css).eql(
    ':only-child'
  );
});

test( 'relationSelectorFirstChild', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.firstChild = true;

  await test.expect(css_selector.css).eql(
    ':first-child'
  );
});

test( 'relationSelectorLastChild', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.lastChild = true;

  await test.expect(css_selector.css).eql(
    ':last-child'
  );
});

test( 'relationSelectorNthChild', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.nthChild = 3;

  await test.expect(css_selector.css).eql(
    ':nth-child(3)'
  );
});

test( 'relationSelectorNthLastChild', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.nthLastChild = 3;

  await test.expect(css_selector.css).eql(
    ':nth-last-child(3)'
  );
});

test( 'relationSelectorNthChildAndNthLastChildEqual', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.nthChild = 3;
  css_selector.relationSelector.nthLastChild = 3;

  await test.expect(css_selector.css).eql(
    ':nth-child(3):nth-last-child(3)'
  );
});

test( 'relationSelectorNthChildAndNthLastChildEqual1', async test => {
  let css_selector = new CSSSelector();

  css_selector.relationSelector.nthChild = 1;
  css_selector.relationSelector.nthLastChild = 1;

  await test.expect(css_selector.css).eql(
    ':only-child'
  );
});
