import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - State`;

test( 'stateSelectorTarget', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.target = true;

  await test.expect(css_selector.css).eql(
    ':target'
  );
});

test( 'stateSelectorUnvisited', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.unvisited = true;

  await test.expect(css_selector.css).eql(
    ':link'
  );
});

test( 'stateSelectorVisited', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.visited = true;

  await test.expect(css_selector.css).eql(
    ':visited'
  );
});

test( 'stateSelectorActive', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.active = true;

  await test.expect(css_selector.css).eql(
    ':active'
  );
});

test( 'stateSelectorHover', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.hover = true;

  await test.expect(css_selector.css).eql(
    ':hover'
  );
});

test( 'stateSelectorTargetHover', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.target = true;
  css_selector.stateSelector.hover = true;

  await test.expect(css_selector.css).eql(
    ':target:hover'
  );
});

test( 'stateSelectorUnvisitedHover', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.unvisited = true;
  css_selector.stateSelector.hover = true;

  await test.expect(css_selector.css).eql(
    ':link:hover'
  );
});

test( 'stateSelectorVisitedHover', async test => {
  let css_selector = new CSSSelector();

  css_selector.stateSelector.visited = true;
  css_selector.stateSelector.hover = true;

  await test.expect(css_selector.css).eql(
    ':visited:hover'
  );
});
