import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - Tag`;

test( 'tagSelectorTagClassID', async test => {
  let css_selector = new CSSSelector();

  css_selector.tagSelector.tag = 'some-tag';
  css_selector.tagSelector.addClass( 'class-a', 'class-b' );
  css_selector.tagSelector.id = 'some-id';

  await test.expect(css_selector.css).eql(
    'some-tag.class-a.class-b#some-id'
  );
});

  test( 'tagSelectorClassID', async test => {
    let css_selector = new CSSSelector();

    css_selector.primarySelector.tagSelector.addClass( 'class-a', 'class-b' );
    css_selector.primarySelector.tagSelector.id = 'some-id';

    await test.expect(css_selector.css).eql(
      '.class-a.class-b#some-id'
    );
  });

  test( 'tagSelectorClass', async test => {
    let css_selector = new CSSSelector();

    css_selector.primarySelector.tagSelector.addClass( 'class-a', 'class-b' );

    await test.expect(css_selector.css).eql(
      '.class-a.class-b'
    );
  });

  test( 'tagSelectorID', async test => {
    let css_selector = new CSSSelector();

    css_selector.primarySelector.tagSelector.id = 'some-id';

    await test.expect(css_selector.css).eql(
      '#some-id'
    );
  });

  test( 'tagSelectorTag', async test => {
    let css_selector = new CSSSelector();

    css_selector.primarySelector.tagSelector.tag = 'some-tag';

    await test.expect(css_selector.css).eql(
      'some-tag'
    );
  });
