import { CSSSelector } from '../../css_selector.js';

fixture `CSSSelector - Types`;

test( 'typeSelectorOnlyOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.onlyOfType = true;

  await test.expect(css_selector.css).eql(
    ':only-of-type'
  );
});

test( 'typeSelectorFirstOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.firstOfType = true;

  await test.expect(css_selector.css).eql(
    ':first-of-type'
  );
});

test( 'typeSelectorLastOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.lastOfType = true;

  await test.expect(css_selector.css).eql(
    ':last-of-type'
  );
});

test( 'typeSelectorFirstOfTypeAndLastOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.firstOfType = true;
  css_selector.typeSelector.lastOfType = true;

  await test.expect(css_selector.css).eql(
    ':only-of-type'
  );
});

test( 'typeSelectorNthOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.nthOfType = 3;

  await test.expect(css_selector.css).eql(
    ':nth-of-type(3)'
  );
});

test( 'typeSelectorNthLastOfType', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.nthLastOfType = 3;

  await test.expect(css_selector.css).eql(
    ':nth-last-of-type(3)'
  );
});

test( 'typeSelectorNthOfTypeNthLastOfTypeEqual', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.nthOfType = 3;
  css_selector.typeSelector.nthLastOfType = 3;

  await test.expect(css_selector.css).eql(
    ':nth-of-type(3):nth-last-of-type(3)'
  );
});

test( 'typeSelectorNthOfTypeNthLastOfTypeEqual1', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.nthOfType = 1;
  css_selector.typeSelector.nthLastOfType = 1;

  await test.expect(css_selector.css).eql(
    ':only-of-type'
  );
});

test( 'typeSelectorLanguage', async test => {
  let css_selector = new CSSSelector();

  css_selector.typeSelector.language = 'it';

  await test.expect(css_selector.css).eql(
    ':lang(it)'
  );
});
