import { CSSRule } from '../css_rule.js';

fixture `CSSRule`;

test( 'property', async test => {
  let css_rule = new CSSRule();
  debugger;
  css_rule.selector.tagSelector.tag = 'some-tag';
  css_rule.selector.tagSelector.addClass( 'class-a', 'class-b' );
  css_rule.selector.tagSelector.id = 'some-id';

  let some_attribute_selector = css_rule.selector.addAttributeSelector('some-attribute');
  some_attribute_selector.beginsWithValue = 'some';
  some_attribute_selector.addContainsValues('-');
  some_attribute_selector.endsWithValue = 'value';

  let another_attribute_selector = css_rule.selector.addAttributeSelector('another-attribute');
  another_attribute_selector.beginsWithValue = 'another';

  css_rule.selector.relationSelector.onlyChild = true;

  css_rule.selector.typeSelector.onlyOfType = true;

  css_rule.selector.stateSelector.target = true;

  css_rule.selector.inputSelector.default = true;
  css_rule.selector.inputSelector.checked = true;
  css_rule.selector.inputSelector.enabled = true;
  css_rule.selector.inputSelector.disabled = true;
  css_rule.selector.inputSelector.focus = true;
  css_rule.selector.inputSelector.inRange = true;
  css_rule.selector.inputSelector.outOfRange = true;
  css_rule.selector.inputSelector.indeterminate = true;
  css_rule.selector.inputSelector.invalid = true;
  css_rule.selector.inputSelector.valid = true;
  css_rule.selector.inputSelector.readWrite = true;
  css_rule.selector.inputSelector.optional = true;
  css_rule.selector.inputSelector.placeholder = true;

  css_rule.selector.contentSelector.firstLetter = true;

  css_rule.expression.setProperty('display', 'none');

  await test.expect(css_rule.css).eql(
    'some-tag.class-a.class-b#some-id[some-attribute^="some"][some-attribute*="-"][some-attribute$="value"][another-attribute^="another"]:only-child:only-of-type:target:default:checked:disabled:focus:out-of-range:valid:read-write:optional::placeholder::first-letter {\n\tdisplay: none;\n}'
  );
});
